function setup()
	room.addActor()
	actor.nodeName = "BIOLOGICALLY INHIBITED GATE"
	--actor.displayName = "Barnacles"
	--actor.setIcon("iconalienbarnacle.png")
	for i = 1, 5 do--only have to destry 3 of them
		actor.addTerrain("terrain_barnacles")
	end
	
	--use a different stage script for barnacle battles
	--(heh heh i think that's way funnier than it probably actually is)
	actor.addEvent("battlescript_barnaclebattle", 0)
end